Arbor 3: FSM & BT Graph Editor 3.6.8

Public Member Functions | Public Attributes | Properties | List of all members
InputSlotBase Class Reference

Input slot More...

Inheritance diagram for InputSlotBase:

## Public Member Functions
void | SetInputBranch (DataBranch branch)
| Set DataBranch. More...
void | RemoveInputBranch (DataBranch branch)
| Remove DataBranch. More...
DataBranch | GetInputBranch ()
| Get DataBranch. More...
bool | IsConnectedInput (DataBranch branch)
| It judges whether it is connected with DataBranch. More...
override void | Disconnect ()
| Disconnect the connection. More...

## Public Attributes
int | branchID
| Branch ID More...
Public Attributes inherited from DataSlot
NodeGraph | nodeGraph
| State machine slot belongs More...
Rect | position
| Position on ArborEditor of slot(Editor Only) More...

## Properties
override SlotType | slotType`[get]`
| Slot type More...
DataBranch | branch`[get]`
| Get branch More...
bool | isUsed`[get]`
| Gets whether or not a value is used. More...
float | updatedTime`[get]`
| Time that does not depend on timeScale when value is updated. More...
Properties inherited from DataSlot
abstract SlotType | slotType`[get]`
| Slot type More...
abstract System.Type | dataType`[get]`
| The type of data stored in the slot More...

## Additional Inherited Members
Events inherited from DataSlot
System.Action< bool > | onConnectionChanged
| Callback event when connection is changed More...

## Detailed Description

Input slot

## Member Function Documentation

## ◆ Disconnect()

override void Disconnect | ( |  | ) |
| virtual

Disconnect the connection.

Implements DataSlot.

## ◆ GetInputBranch()

DataBranch GetInputBranch | ( |  | ) |

Get DataBranch.

Returns
  DataBranch

Implements IInputSlot.

## ◆ IsConnectedInput()

bool IsConnectedInput | ( | DataBranch | branch | ) |

It judges whether it is connected with DataBranch.

Parameters

  branch | DataBranch

Returns
  True if connected, false otherwise.

Implements IInputSlot.

## ◆ RemoveInputBranch()

void RemoveInputBranch | ( | DataBranch | branch | ) |

Remove DataBranch.

Parameters

  branch | DataBranch

Implements IInputSlot.

## ◆ SetInputBranch()

void SetInputBranch | ( | DataBranch | branch | ) |

Set DataBranch.

Parameters

  branch | DataBranch

Implements IInputSlot.

## Member Data Documentation

## ◆ branchID

int branchID

Branch ID

## Property Documentation

## ◆ branch

DataBranch branch
| get

Get branch

## ◆ isUsed

bool isUsed
| get

Gets whether or not a value is used.

## ◆ slotType

override SlotType slotType
| get

Slot type

## ◆ updatedTime

float updatedTime
| get

Time that does not depend on timeScale when value is updated.